summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMort Yao2018-05-18 23:05:05 +0200
committerMort Yao2018-05-18 23:05:05 +0200
commit9bb7c42aa54e891b24815cc906e237a36146a607 (patch)
tree4cae24d541ab9d8066877150ff858741e55ec883
downloadaur-9bb7c42aa54e891b24815cc906e237a36146a607.tar.gz
ocaml-process-git 20160901-1
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore8
-rw-r--r--PKGBUILD33
3 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ffd46e685d8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+# Generated by mksrcinfo v8
+# Fri May 18 21:04:48 UTC 2018
+pkgbase = ocaml-process-git
+ pkgdesc = Easy process control in OCaml
+ pkgver = 20160901
+ pkgrel = 1
+ url = https://github.com/dsheets/ocaml-process
+ arch = x86_64
+ license = ISC
+ makedepends = ocamlbuild
+ makedepends = ocaml-findlib
+ provides = ocaml-process
+ source = ocaml-process-git::git://github.com/dsheets/ocaml-process.git
+ md5sums = SKIP
+
+pkgname = ocaml-process-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..11046d3c70f
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,8 @@
+/pkg
+/src
+*.sig
+*.bz2
+*.gz
+*.tar
+*.xz
+*.zip
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5e026a77e38
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Mort Yao <soi@mort.ninja>
+
+pkgname=ocaml-process-git
+pkgver=20160901
+pkgrel=1
+pkgdesc="Easy process control in OCaml"
+arch=('x86_64')
+url='https://github.com/dsheets/ocaml-process'
+license=('ISC')
+provides=('ocaml-process')
+makedepends=('ocamlbuild' 'ocaml-findlib')
+source=("${pkgname}::git://github.com/dsheets/ocaml-process.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ git log -1 --pretty=format:%cd --date=short | sed 's/-//g'
+}
+
+build() {
+ cd "$pkgname"
+
+ make
+}
+
+package() {
+ destdir="$pkgdir/$(ocamlfind printconf destdir)"
+
+ cd "$pkgname"
+
+ mkdir -p "$destdir/process" || return 1
+ make DESTDIR="$destdir/" OCAMLFIND_DESTDIR="$destdir/" install || return 1
+}